org.keycloak.models.map.clientscope

## Class AbstractClientScopeModel<E extends AbstractEntity>

- java.lang.Object
- - org.keycloak.models.map.clientscope.AbstractClientScopeModel<E>

- All Implemented Interfaces:
    ClientScopeModel, OrderedModel, ProtocolMapperContainerModel, ScopeContainerModel
  Direct Known Subclasses:
    MapClientScopeAdapter

      public abstract class AbstractClientScopeModel<E extends AbstractEntity>
      extends Object
      implements ClientScopeModel

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.keycloak.models.ClientScopeModel

      `ClientScopeModel.ClientScopeRemovedEvent, ClientScopeModel.SearchableFields`

    - ### Nested classes/interfaces inherited from interface org.keycloak.models.OrderedModel

      `OrderedModel.OrderedModelComparator<OM extends OrderedModel>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected E` | `entity`
    `protected RealmModel` | `realm`
    `protected KeycloakSession` | `session`

    - ### Fields inherited from interface org.keycloak.models.ClientScopeModel

      `CONSENT_SCREEN_TEXT, DISPLAY_ON_CONSENT_SCREEN, GUI_ORDER, INCLUDE_IN_TOKEN_SCOPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractClientScopeModel(KeycloakSession session, RealmModel realm, E entity)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.models.ClientScopeModel

      `getAttribute, getAttributes, getConsentScreenText, getDescription, getGuiOrder, getId, getName, getProtocol, getRealm, isDisplayOnConsentScreen, isIncludeInTokenScope, removeAttribute, setAttribute, setConsentScreenText, setDescription, setDisplayOnConsentScreen, setGuiOrder, setIncludeInTokenScope, setName, setProtocol`

    - ### Methods inherited from interface org.keycloak.models.ProtocolMapperContainerModel

      `addProtocolMapper, getProtocolMapperById, getProtocolMapperByName, getProtocolMappers, getProtocolMappersStream, removeProtocolMapper, updateProtocolMapper`

    - ### Methods inherited from interface org.keycloak.models.ScopeContainerModel

      `addScopeMapping, deleteScopeMapping, getRealmScopeMappings, getRealmScopeMappingsStream, getScopeMappings, getScopeMappingsStream, hasScope`

- - ### Field Detail

    - #### session

          protected final KeycloakSession session

    - #### realm

          protected final RealmModel realm

    - #### entity

          protected final E extends AbstractEntity entity

  - ### Constructor Detail

    - #### AbstractClientScopeModel

          public AbstractClientScopeModel(KeycloakSession session,
                                          RealmModel realm,
                                          E entity)

  - ### Method Detail

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2021 JBoss by Red Hat. All rights reserved.